Subject: Re: bug#17275: emacs-24 crash in dired

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Apr 2014 16:39:44 +0300

> Date: Wed, 16 Apr 2014 11:24:14 +0100
> From: Andy Moreton <[email-masked]>
> 
> Running emacs 24 on win7 64bit built from r116968 with mingw32 gcc 4.7.2.
> 
>  From "emacs -Q"
> 1) Open a dired buffer:
>     C-x C-f ~/.emacs.d RET
> 
> 2) Switch to external 'ls' program
>    (setq insert-directory-program "C:/cygwin/bin/ls.exe")
>    (setq ls-lisp-use-insert-directory-program t)
>    (setq dired-listing-switches "-al --group-directories-first")
> 
> 3) Type 'g' in the dired buffer (bound to revert-buffer)
>     Emacs shows the abort dialog.
> 
> This is a recent regression (within the last week) as I build emacs from 
> source daily. This bug does not manifest in current emacs trunk builds.

Sorry, I can't reproduce this here.  There's a slight chance that this
is because my ls.exe is not a Cygwin program, but I doubt that's the
cause.

(Anyway, why do you switch to ls.exe after you already have a Dired
buffer produced by ls-lisp.el?  Does the problem happen if you do the
switch before visiting the directory?)

>     I have not managed to get gdb to emit a usable backtrace.

Did you try starting Emacs under GDB in the first place?